# vim: set ft=spec: -*- rpm-spec -*-
# $Id: scummvm,v 1.5 2004/08/03 21:48:22 raorn Exp $

%define name scummvm
%define version 0.6.1
#define cvsdate 20040223
%define buildver 1.1

%define release alt%buildver

Name: %name
Version: %version
Release: %release

Summary: SCUMM graphic adventure game interpreter
Summary (ru_RU.UTF-8): Интерпретатор приключенческих игр SCUMM
Group: Games/Adventure
License: GPL
Url: http://www.scummvm.org

%ifdef cvsdate
Source: %name-%cvsdate.tar.bz2
%else
Source: %name-%version-src.tar.bz2
%endif
Patch: %name-0.6.1-scumm-extra-path.patch

# Automatically added by buildreq on Mon Feb 23 2004 (-bi)
BuildRequires: XFree86-libs gcc-c++ libSDL-devel libalsa-devel libmad-devel libmpeg2-devel libogg-devel libstdc++-devel libvorbis-devel zlib-devel

%description
ScummVM is an interpreter that will play graphic adventure games written for
LucasArts' SCUMM virtual machine. It uses the SDL library for outputting
graphics.

List of supported games:
Full Throttle
Monkey Island 1
Monkey Island 2: LeChuck's revenge
The Curse of Monkey Island
Indiana Jones and the Last Crusade
Indiana Jones and the Fate of Atlantis
Sam & Max
Maniac Mansion
Day Of The Tentacle
Zak McKracken and the Alien Mindbenders
Loom
The Dig
Simon the Sorcerer 1
Simon the Sorcerer 2
Beneath a Steel Sky
Flight of the Amazon Queen

%description -l ru_RU.UTF-8
ScummVM даёт возможность играть в приключенческие игры, написанные для 
виртуальной машины SCUMM фирмы LucasArts. Для вывода графики используется 
библиотека SDL.

Список совместимых игр:
Full Throttle
Monkey Island 1
Monkey Island 2: LeChuck's revenge
The Curse of Monkey Island
Indiana Jones and the Last Crusade
Indiana Jones and the Fate of Atlantis
Sam & Max
Maniac Mansion
Day Of The Tentacle
Zak McKracken and the Alien Mindbenders
Loom
The Dig
Simon the Sorcerer 1
Simon the Sorcerer 2
Beneath a Steel Sky
Flight of the Amazon Queen

%prep
%ifdef cvsdate
%setup -q -n %name
%else
%setup -q
%endif
%patch -p2

%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ;
./configure
%make_build

%install
%__install -m755 -D scummvm %buildroot%_bindir/scummvm.bin
%__install -m644 -D scummvm.6 %buildroot%_man6dir/scummvm.6
%__install -m644 -D scummvm.xpm %buildroot%_datadir/pixmaps/scummvm.xpm

%__cat >%buildroot%_bindir/scummvm <<EOF
#!/bin/sh

[ -d "\$HOME/.scummvm" ] || %__mkdir_p "\$HOME/.scummvm"
cd "\$HOME/.scummvm"
exec %_bindir/scummvm.bin "\$@"
EOF
%__chmod 755 %buildroot%_bindir/scummvm

# Menu
%__mkdir -p %buildroot%_menudir
%__cat >%buildroot%_menudir/%name <<EOF
?package(%name): command="%name" needs="X11" \
section="Games/Adventure" title="ScummVM" \
longtitle="SCUMM graphic adventure game interpreter" icon="scummvm.xpm"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%ifdef cvsdate
%doc CVS.ChangeLog
%endif
%doc README NEWS TODO
%_bindir/scummvm
%_bindir/scummvm.bin
%_man6dir/scummvm.6*
%_menudir/%name
%_datadir/pixmaps/scummvm.xpm

%changelog
* Wed Aug 04 2004 Sir Raorn <raorn@altlinux.ru> 0.6.1-alt1.1
- Oops! Fix %_bindir/scummvm attrs

* Tue Aug 03 2004 Sir Raorn <raorn@altlinux.ru> 0.6.1-alt1
- [0.6.1]
- Keep save files in ~/.scummvm (Closes #3921)

* Sat Mar 27 2004 Sir Raorn <raorn@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Mon Feb 23 2004 Sir Raorn <raorn@altlinux.ru> 0.5.1-alt2
- CVS snapshot 20040223 (0.5.7-cvs)

* Wed Aug 13 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Wed Jun 25 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.4.1-alt1
- 0.4.1

* Mon Dec 23 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.0b-alt1
- ALTLnux build




